This document lists the events and parameters for
various types of
Google Chat Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=chat`.

## User Action


Events of this type are returned with `type=user_action`.

### Add Room Member

Event details Event name `add_room_member` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=add_room_member&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added a room member.`

### App added

A Chat app is added to a conversation.
Event details Event name `app_added` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by this customer or owned by a different customer.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`external_room` `string`


Whether the room allows users who are external to the organization.
`room_id` `string`


ID of the room.
`room_name` `string`


Name of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=app_added&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added a Chat app to a conversation`

### App invoked

A Chat app is invoked.
Event details Event name `app_invoked` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`external_room` `string`


Whether the room allows users from outside of the organization.
`room_id` `string`


ID of the room.
`room_name` `string`


Name of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=app_invoked&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} invoked a Chat app`

### App removed

A Chat app is removed from a conversation.
Event details Event name `app_removed` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`external_room` `string`


Whether the room allows users from outside of the organization.
`room_id` `string`


ID of the room.
`room_name` `string`


Name of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=app_removed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed a Chat app from a conversation`

### Attachment Download

Event details Event name `attachment_download` Parameters `actor` `string`


Actor.
`attachment_hash` `string`


Attachment Hash.
`attachment_name` `string`


Attachment Name.
`attachment_url` `string`


Attachment Url.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=attachment_download&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} downloaded an attachment.`

### Attachment Upload

Event details Event name `attachment_upload` Parameters `actor` `string`


Actor.
`attachment_hash` `string`


Attachment Hash.
`attachment_name` `string`


Attachment Name.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`dlp_scan_status` `string`


Description of the status of a data loss prevention (DLP) scan of a message or attachment.
Possible values:

- `DLP_NOT_APPLICABLE`  
  Data loss prevention did not scan the message or attachment because it is not applicable.
- `DLP_PARTIALLY_SCANNED`  
  Data loss prevention partially scanned the message or attachment but some rules failed.
- `DLP_SCAN_FAILED`  
  Data loss prevention failed to scan the message or attachment.
- `DLP_SCANNED`  
  Data loss prevention successfully scanned the message or attachment.
- `DLP_SCANNED_AND_WARNED`  
  Data loss prevention successfully scanned the message or attachment and warned the sender of a potential content violation.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=attachment_upload&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} uploaded an attachment.`

### Block Room

Event details Event name `block_room` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=block_room&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} blocked a room.`

### Block User

Event details Event name `block_user` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=block_user&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} blocked a user.`

### Conversation Read

Event details Event name `conversation_read` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=conversation_read&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} read a conversation.`

### Custom Status Updated

Event details Event name `custom_status_updated` Parameters `actor` `string`


Actor.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=custom_status_updated&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated a custom status.`

### Direct Message Started

Event details Event name `direct_message_started` Parameters `actor` `string`


Actor.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`dlp_scan_status` `string`


Description of the status of a data loss prevention (DLP) scan of a message or attachment.
Possible values:

- `DLP_NOT_APPLICABLE`  
  Data loss prevention did not scan the message or attachment because it is not applicable.
- `DLP_PARTIALLY_SCANNED`  
  Data loss prevention partially scanned the message or attachment but some rules failed.
- `DLP_SCAN_FAILED`  
  Data loss prevention failed to scan the message or attachment.
- `DLP_SCANNED`  
  Data loss prevention successfully scanned the message or attachment.
- `DLP_SCANNED_AND_WARNED`  
  Data loss prevention successfully scanned the message or attachment and warned the sender of a potential content violation.
`message_id` `string`


Message Id.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=direct_message_started&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} started a direct message.`

### Emoji Created

Event details Event name `emoji_created` Parameters `actor` `string`


Actor.
`emoji_shortcode` `string`


Emoji Shortcode.
`filename` `string`


Filename.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=emoji_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created an emoji.`

### Emoji Deleted

Event details Event name `emoji_deleted` Parameters `actor` `string`


Actor.
`emoji_shortcode` `string`


Emoji Shortcode.
`filename` `string`


Filename.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=emoji_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted an emoji.`

### History Turned Off

Event details Event name `history_turned_off` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=history_turned_off&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} turned the room history off.`

### History Turned On

Event details Event name `history_turned_on` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=history_turned_on&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} turned the room history on.`

### Invite Accept

Event details Event name `invite_accept` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=invite_accept&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} accepted an invitation to join a room.`

### Invite Decline

Event details Event name `invite_decline` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=invite_decline&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} declined an invitation to join a room.`

### Invite Send

Event details Event name `invite_send` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=invite_send&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} sent an invite.`

### Message Deleted

Event details Event name `message_deleted` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`message_id` `string`


Message Id.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=message_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a message.`

### Message Edited

Event details Event name `message_edited` Parameters `actor` `string`


Actor.
`attachment_hash` `string`


Attachment Hash.
`attachment_name` `string`


Attachment Name.
`attachment_status` `string`


Whether there is an attachment associated with the message that the event occurred in.
Possible values:

- `HAS_ATTACHMENT`  
  Message has an attachment.
- `NO_ATTACHMENT`  
  Message does not have an attachment.
`dlp_scan_status` `string`


Description of the status of a data loss prevention (DLP) scan of a message or attachment.
Possible values:

- `DLP_NOT_APPLICABLE`  
  Data loss prevention did not scan the message or attachment because it is not applicable.
- `DLP_PARTIALLY_SCANNED`  
  Data loss prevention partially scanned the message or attachment but some rules failed.
- `DLP_SCAN_FAILED`  
  Data loss prevention failed to scan the message or attachment.
- `DLP_SCANNED`  
  Data loss prevention successfully scanned the message or attachment.
- `DLP_SCANNED_AND_WARNED`  
  Data loss prevention successfully scanned the message or attachment and warned the sender of a potential content violation.
`message_id` `string`


Message Id.
`message_type` `string`


The message type of the message that the event occurred in.
Possible values:

- `HUDDLE`  
  Message is a huddle.
- `REGULAR_MESSAGE`  
  Message is a regular message.
- `VIDEO_MESSAGE`  
  Message is a video message.
- `VOICE_MESSAGE`  
  Message is a voice message.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=message_edited&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited a message.`

### Message Posted

Event details Event name `message_posted` Parameters `actor` `string`


Actor.
`attachment_hash` `string`


Attachment Hash.
`attachment_name` `string`


Attachment Name.
`attachment_status` `string`


Whether there is an attachment associated with the message that the event occurred in.
Possible values:

- `HAS_ATTACHMENT`  
  Message has an attachment.
- `NO_ATTACHMENT`  
  Message does not have an attachment.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`dlp_scan_status` `string`


Description of the status of a data loss prevention (DLP) scan of a message or attachment.
Possible values:

- `DLP_NOT_APPLICABLE`  
  Data loss prevention did not scan the message or attachment because it is not applicable.
- `DLP_PARTIALLY_SCANNED`  
  Data loss prevention partially scanned the message or attachment but some rules failed.
- `DLP_SCAN_FAILED`  
  Data loss prevention failed to scan the message or attachment.
- `DLP_SCANNED`  
  Data loss prevention successfully scanned the message or attachment.
- `DLP_SCANNED_AND_WARNED`  
  Data loss prevention successfully scanned the message or attachment and warned the sender of a potential content violation.
`message_id` `string`


Message Id.
`message_type` `string`


The message type of the message that the event occurred in.
Possible values:

- `HUDDLE`  
  Message is a huddle.
- `REGULAR_MESSAGE`  
  Message is a regular message.
- `VIDEO_MESSAGE`  
  Message is a video message.
- `VOICE_MESSAGE`  
  Message is a voice message.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=message_posted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} posted a message.`

### Message Report Resolved

Event details Event name `message_report_resolved` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
`message_id` `string`


Message Id.
`report_id` `string`


The full resource name of the report, which can be used to fetch reports via the Chat GET or LIST APIs.
`report_type` `string`


Description of the report type for a report made in a Space.
Possible values:

- `CONFIDENTIAL_INFORMATION`  
  Report type for a message reported in a space is confidential information.
- `DISCRIMINATION`  
  Report type for a message reported in a space is discrimination.
- `EXPLICIT_CONTENT`  
  Report type for a message reported in a space is explicit content.
- `HARASSMENT`  
  Report type for a message reported in a space is harassment.
- `OTHER`  
  Report type for a message reported in a space is other.
- `SENSITIVE_INFORMATION`
- `SPAM`  
  Report type for a message reported in a space is spam.
- `VIOLATION_UNSPECIFIED`
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=message_report_resolved&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} resolved a message report.`

### Message Reported

Event details Event name `message_reported` Parameters `actor` `string`


Actor.
`message_id` `string`


Message Id.
`report_id` `string`


The full resource name of the report, which can be used to fetch reports via the Chat GET or LIST APIs.
`report_type` `string`


Description of the report type for a report made in a Space.
Possible values:

- `CONFIDENTIAL_INFORMATION`  
  Report type for a message reported in a space is confidential information.
- `DISCRIMINATION`  
  Report type for a message reported in a space is discrimination.
- `EXPLICIT_CONTENT`  
  Report type for a message reported in a space is explicit content.
- `HARASSMENT`  
  Report type for a message reported in a space is harassment.
- `OTHER`  
  Report type for a message reported in a space is other.
- `SENSITIVE_INFORMATION`
- `SPAM`  
  Report type for a message reported in a space is spam.
- `VIOLATION_UNSPECIFIED`
`room_id` `string`


ID of the room.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=message_reported&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reported a message.`

### Reaction Added

Event details Event name `reaction_added` Parameters `actor` `string`


Actor.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`message_id` `string`


Message Id.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=reaction_added&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reacted to a message.`

### Reaction Removed

Event details Event name `reaction_removed` Parameters `actor` `string`


Actor.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`message_id` `string`


Message Id.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=reaction_removed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed a reaction from a message.`

### Remove Room Member

Event details Event name `remove_room_member` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=remove_room_member&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed a room member.`

### Role updated

Update Member Role in Chat group.
Event details Event name `role_updated` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
`target_user_role` `string`


Description of the new role type.
Possible values:

- `MANAGER`  
  New role type is Manager.
- `MEMBER`  
  New role type is Member.
- `OWNER`  
  New role type is Owner.
- `SPACE_MANAGER`  
  New role type is Space Manager.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=role_updated&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated the role for a space member.`

### Room Created

Event details Event name `room_created` Parameters `actor` `string`


Actor.
`conversation_ownership` `string`


Whether the conversation that the event occurred in is owned by the customer or other customers.
Possible values:

- `EXTERNALLY_OWNED`  
  Conversation is externally owned.
- `INTERNALLY_OWNED`  
  Conversation is internally owned.
`conversation_type` `string`


The conversation type of the chat that the event occurred in.
Possible values:

- `GROUP_DIRECT_MESSAGE`  
  Conversation type is a group chat.
- `SPACE`  
  Conversation type is a space.
- `USER_TO_APP_DIRECT_MESSAGE`  
  Conversation type is a direct message between a human and a Chat app.
- `USER_TO_USER_DIRECT_MESSAGE`  
  Conversation type is a direct message between two humans.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a room.`

### Room Deleted

Event details Event name `room_deleted` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a room.`

### Room Details Updated

Event details Event name `room_details_updated` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_details_updated&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated the room details.`

### Room Left

User Left Room.
Event details Event name `room_left` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_left&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} left the room.`

### Room Name Updated

Event details Event name `room_name_updated` Parameters `actor` `string`


Actor.
`actor_type` `string`


Description of the actor type.
Possible values:

- `ADMIN`  
  Actor type is an admin.
- `NON_ADMIN`  
  Actor type is a non-admin.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_name_updated&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated the room name.`

### Room Unblocked

Event details Event name `room_unblocked` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=room_unblocked&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unblocked a space.`

### Unread Timestamp Updated

Event details Event name `unread_timestamp_updated` Parameters `actor` `string`


Actor.
`room_id` `string`


ID of the room.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=unread_timestamp_updated&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} modified an unread timestamp.`

### User Unblocked

Event details Event name `user_unblocked` Parameters `actor` `string`


Actor.
`target_users` `string`


Target Users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/chat?eventName=user_unblocked&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unblocked a user.`